
Redmine - Defect #42860

Email has not delivered to a part of group member after updating a ticket when a ticket was assigned

group

2025-06-12 07:08 - td redmine

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 6.0.5

Description

-Phenomenon

Email has not delivered to a part of group member after updating a ticket when a ticket was assigned group

ex.)

1. Making a group as TEAM1

2. Registering some users (AAA, BBB, CCC and DDD) to TEAM1

3. Assigning TEAM1 to a ticket and updating something

4. Result

AAA : Receiving email

BBB : Not receiving email

CCC : Receiving email

DDD : Not receiving email

-Redmine settings (All members are same settings)

[Email notifications] : Only for things I wach or I'm involved in

[Also notify me about issues with a priority of High or higher] : Not check

[I don't want to be notified of changes that I make myself] : Not check

-Environment

[OS]               : Windows11 64bit Pro

[Redmine version]  : 6.0.5.stable

[Ruby version]     : 3.3.7-p123 (2025-01-15) [x64-mingw-ucrt]

[Rails version]    : 7.2.2.1

[Environment]      : production

[Database adapter] : Mysql2

[Mailer queue]     : ActiveJob::QueueAdapters::AsyncAdapter

[Mailer delivery]  : smtp

-Others

Mail server don't receive any error mails against members (BBB and DDD).

Mail server can send email correctly when a ticket was assigned BBB or DDD directly.

I expect that Redmine was not able to send email to all members so far.

I would appreciate it if you could help me when you have a chance.

History

#1 - 2025-06-12 15:49 - Holger Just

- Status changed from New to Needs feedback

The (default) ActiveJob::QueueAdapters::AsyncAdapter for delayed jobs, including sending of mails, works by creating a separate thread in your

application server processes in order to process the jobs. It may be that some of the mail sending jobs fail, e.g. because the user's email address is

invalid. Depending on your application server and its available resources and configured process handling policies, the jobs may also be lost of the

application server process exits before all jobs are processed.

You should check the logs in logs/production.log on your server for any errors. For production use, you should also move to a different queuing

implementation such as sidekiq which support persistent jobs.

Please try to find the cause of this issue or at least a define reproducer for this issue based on your setup. Unfortunately, without more details which

would allow us to reproduce this issue, it is hard to be of any actual help.
#2 - 2025-06-14 07:43 - td redmine

- File production_log.txt added

Thank you for your advice.

According to the production.log file, there was an error called "Email delivery error: end of file reached".

As a result, although there are 35 users in the group, only 10 users were able to send email.

Succeed User-ID: 5,6,7,8,10,11,13,19,20 and 21

Failed User-ID: Others

- configuration.yml

production:

email_delivery:

delivery_method: :smtp

smtp_settings:

enable_starttls_auto: true

address: "Server name"

port: 587

authentication: :login

domain: 'Domain name'

user_name: 'Email address'

password: 'Password'

Since there are users who can send email, I don't think there is anything wrong with the email environment, but what do you think?

I attached log file a part of sending email just in case.

Files

production_log.txt 40.8 KB 2025-06-14 td redmine
